%define luaver  5.2
%define lualibdir %{_libdir}/lua/%{luaver}
%define luapkgdir %{_datadir}/lua/%{luaver}
%define oname   lgi

Name:           lua-lgi
Version:        0.8.0
Release:        %mkrel 4
Summary:        Dynamic Lua binding to GObject libraries using GObject-Introspection
Group:          Development/Other
License:        MIT
URL:            https://github.com/pavouk/lgi
Source0:        https://github.com/pavouk/lgi/archive/%{version}.tar.gz
Patch0:         lua-lgi-0.8.0-mga-lua-linking-and-libname.patch

BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gmodule-2.0)
BuildRequires:  pkgconfig(libffi)
BuildRequires:  pkgconfig(lua) >= %{luaver}

%description
LGI is gobject-introspection based dynamic Lua binding to GObject based
libraries. It allows using GObject-based libraries directly from Lua.

%prep
%setup -q -n %{oname}-%{version}
%autopatch -p1

%build
%setup_compile_flags
%make

%install
%makeinstall_std \
    PREFIX=%{_prefix} \
    LUA_LIBDIR=%{lualibdir} \
    LUA_SHAREDIR=%{luapkgdir}

%files
%doc README.md docs/*
%{lualibdir}/lgi/corelgilua52.so
%{luapkgdir}/lgi*


%changelog
* Mon Feb 01 2016 umeabot <umeabot> 0.8.0-4.mga6
+ Revision: 930211
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.8.0-3.mga5
+ Revision: 749696
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8.0-2.mga5
+ Revision: 682028
- Mageia 5 Mass Rebuild

* Sun Aug 10 2014 akien <akien> 0.8.0-1.mga5
+ Revision: 661524
- Version 0.8.0
- Fix libname to reference lua 5.2

* Sun Mar 30 2014 shikamaru <shikamaru> 0.7.2-1.mga5
+ Revision: 610352
- bump to 0.7.2 for awesome 3.5.3

* Fri Oct 18 2013 umeabot <umeabot> 0.6.2-3.mga4
+ Revision: 507580
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.6.2-2.mga3
+ Revision: 359068
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 shikamaru <shikamaru> 0.6.2-1.mga3
+ Revision: 324180
- imported package lua-lgi

